# Lid-driven cavity

The lid-driven cavity test problem has been used for a long time as a simple validation test for computational fluid
dynamics codes. First described by [Burggraf66](@cite), the fluid is contained in a square cavity with Dirchlet boundary
conditions on all four sides. The top wall moves with velocity ``U = 1`` while the other three walls are stationary.
The solution reaches a laminar steady-state whose properties can be compared with a huge amount of existing data. The
canonical database is given by [Ghia82](@cite) who report detailed information on the velocity fields as well as the
streamline and vorticity contours at various Reynolds numbers. More accurate data is reported by [Botella98](@cite),
[Erturk05](@cite), and [Bruneau06](@cite).

Below are lid-driven cavity simulation results from Oceananigans.jl compared with [Ghia82](@cite) for Re = 100, 400,
1000, 3200, 5000, 7500, and 10000.

## Re = 100

```@raw html
<!-- See: https://jameshfisher.com/2017/08/30/how-do-i-make-a-full-width-iframe/ -->
<div>
  <div style="position:relative;padding-top:100%;">
    <iframe src="https://www.youtube.com/embed/Siv8XpcRRDw" frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen
      style="position:absolute;top:0;left:0;width:100%;height:100%;"></iframe>
  </div>
</div>
```

## Re = 400

```@raw html
<div>
  <div style="position:relative;padding-top:100%;">
    <iframe src="https://www.youtube.com/embed/5f9JELFuDX0" frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen
      style="position:absolute;top:0;left:0;width:100%;height:100%;"></iframe>
  </div>
</div>
```

## Re = 1,000

```@raw html
<div>
  <div style="position:relative;padding-top:100%;">
    <iframe src="https://www.youtube.com/embed/oTZj2o94AJU" frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen
      style="position:absolute;top:0;left:0;width:100%;height:100%;"></iframe>
  </div>
</div>
```

## Re = 3,200

```@raw html
<div>
  <div style="position:relative;padding-top:100%;">
    <iframe src="https://www.youtube.com/embed/GWPFwtWIcnY" frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen
      style="position:absolute;top:0;left:0;width:100%;height:100%;"></iframe>
  </div>
</div>
```

## Re = 5,000

```@raw html
<div>
  <div style="position:relative;padding-top:100%;">
    <iframe src="https://www.youtube.com/embed/_2beZxGmIDI" frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen
      style="position:absolute;top:0;left:0;width:100%;height:100%;"></iframe>
  </div>
</div>
```

## Re = 7,500

```@raw html
<div>
  <div style="position:relative;padding-top:100%;">
    <iframe src="https://www.youtube.com/embed/frwxgSG6rt0" frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen
      style="position:absolute;top:0;left:0;width:100%;height:100%;"></iframe>
  </div>
</div>
```

## Re = 10,000

```@raw html
<div>
  <div style="position:relative;padding-top:100%;">
    <iframe src="https://www.youtube.com/embed/D8-fKSMc7DQ" frameborder="0"
      allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen
      style="position:absolute;top:0;left:0;width:100%;height:100%;"></iframe>
  </div>
</div>
```
